#ifndef MSP_DATAFILE_WRITERMODE_H_
#define MSP_DATAFILE_WRITERMODE_H_

#include <msp/io/base.h>

namespace Msp {
namespace DataFile {

class Statement;

class WriterMode
{
protected:
	IO::Base &out;

	WriterMode(IO::Base &o): out(o) { }
public:
	virtual ~WriterMode() { }

	virtual void set_float_precision(unsigned) = 0;
	virtual void write(const Statement &st) = 0;
};

} // namespace DataFile
} // namespace Msp

#endif
